 program main 
     implicit none

     ! ステップ数、格子数
    integer,parameter :: nstep=4, nx=10, ny=11, nz=12
     ! 1ステップ分の成分(速度u,v,w)格納配列
    real,dimension(nx,ny,nz) :: u
     real,dimension(nx,ny,nz) :: v
     real,dimension(nx,ny,nz) :: w
     ! 繰り返し処理用変数
    integer i, j, k, n

     ! 出力用ファイルオープン
    ! 速度 U, V, W (バイナリ形式)
     open(10,file="n_vl.grd",form="unformatted",status="replace")
     open(20,file="n_vp.grd",form="unformatted",status="replace")
     open(30,file="n_vr.grd",form="unformatted",status="replace")

     ! ループ処理：全ステップの全格子点
    DO n=1, nstep
         ! 成分格納配列に成分値を代入
        DO k=1, nz
             DO j=1, ny
                 DO i=1, nx
                     u(i,j,k) = n+i   ! 速度U (※ダミー値)
                     v(i,j,k) = n+j   ! 速度V (※ダミー値)
                     w(i,j,k) = n+k   ! 速度W (※ダミー値)
                 END DO
             END DO
         END DO
         ! 1ステップぶん、出力用ファイルに数値を書き込み
        write(10) u     ! 全格子点の u の値を一度に書き込む
        write(20) v     ! 全格子点の v の値を一度に書き込む
        write(30) w     ! 全格子点の w の値を一度に書き込む
    END DO  ! ステップループここまで

    ! ファイルクローズ
    close(10)
     close(20)
     close(30)

 end

